]> granicus.if.org Git - python/commitdiff
Merged revisions 74701 via svnmerge from
authorRonald Oussoren <ronaldoussoren@mac.com>
Tue, 8 Sep 2009 07:10:07 +0000 (07:10 +0000)
committerRonald Oussoren <ronaldoussoren@mac.com>
Tue, 8 Sep 2009 07:10:07 +0000 (07:10 +0000)
svn+ssh://pythondev@svn.python.org/python/trunk

........
  r74701 | ronald.oussoren | 2009-09-07 08:12:00 +0200 (Mon, 07 Sep 2009) | 2 lines

  Fix typo in configure.in
........

configure
configure.in

index 8195c4d7cf853043522a5b752784e177ad3dd20b..3cb56901fd03325cbaabbf32d114f297d19b6096 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 72873 .
+# From configure.in Revision: 74681 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61 for python 2.6.
 #
@@ -1332,7 +1332,7 @@ Optional Packages:
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
   --with-universal-archs=ARCH
                           select architectures for universal build ("32-bit",
-                          "64-bit" or "all")
+                          "64-bit", "3-way", "intel" or "all")
   --with-framework-name=FRAMEWORK
                           specify an alternate name of the framework built
                           with --enable-framework
@@ -1898,7 +1898,6 @@ fi
 
 
 
-ARCH_RUN_32BIT=
 
 
 UNIVERSAL_ARCHS="32-bit"
@@ -3842,7 +3841,7 @@ else
   { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 
 
@@ -4661,11 +4660,20 @@ echo "${ECHO_T}$ac_cv_no_strict_aliasing_ok" >&6; }
 
                 elif test "$UNIVERSAL_ARCHS" = "64-bit" ; then
                   UNIVERSAL_ARCH_FLAGS="-arch ppc64 -arch x86_64"
+                  ARCH_RUN_32BIT="true"
 
                 elif test "$UNIVERSAL_ARCHS" = "all" ; then
                   UNIVERSAL_ARCH_FLAGS="-arch i386 -arch ppc -arch ppc64 -arch x86_64"
                   ARCH_RUN_32BIT="arch -i386 -ppc"
 
+                elif test "$UNIVERSAL_ARCHS" = "intel" ; then
+                  UNIVERSAL_ARCH_FLAGS="-arch i386 -arch x86_64"
+                  ARCH_RUN_32BIT="arch -i386"
+
+                elif test "$UNIVERSAL_ARCHS" = "3-way" ; then
+                  UNIVERSAL_ARCH_FLAGS="-arch i386 -arch ppc -arch x86_64"
+                  ARCH_RUN_32BIT="arch -i386 -ppc"
+
                 else
                   { { echo "$as_me:$LINENO: error: proper usage is --with-universalarch=32-bit|64-bit|all" >&5
 echo "$as_me: error: proper usage is --with-universalarch=32-bit|64-bit|all" >&2;}
@@ -4686,12 +4694,31 @@ echo "$as_me: error: proper usage is --with-universalarch=32-bit|64-bit|all" >&2
            cur_target=`sw_vers -productVersion | sed 's/\(10\.[0-9]*\).*/\1/'`
            if test ${cur_target} '>' 10.2; then
                    cur_target=10.3
-           fi
-           if test "${UNIVERSAL_ARCHS}" = "all"; then
-                   # Ensure that the default platform for a 4-way
-                   # universal build is OSX 10.5, that's the first
-                   # OS release where 4-way builds make sense.
-                   cur_target='10.5'
+                   if test ${enable_universalsdk}; then
+                           if test "${UNIVERSAL_ARCHS}" = "all"; then
+                                   # Ensure that the default platform for a
+                                   # 4-way universal build is OSX 10.5,
+                                   # that's the first OS release where
+                                   # 4-way builds make sense.
+                                   cur_target='10.5'
+
+                           elif test "${UNIVERSAL_ARCHS}" = "3-way"; then
+                                   cur_target='10.5'
+
+                           elif test "${UNIVERSAL_ARCHS}" = "intel"; then
+                                   cur_target='10.5'
+
+                           elif test "${UNIVERSAL_ARCHS}" = "64-bit"; then
+                                   cur_target='10.5'
+                           fi
+                   else
+                           if test `arch` = "i386"; then
+                                   # On Intel macs default to a deployment
+                                   # target of 10.4, that's the first OSX
+                                   # release with Intel support.
+                                   cur_target="10.4"
+                           fi
+                   fi
            fi
            CONFIGURE_MACOSX_DEPLOYMENT_TARGET=${MACOSX_DEPLOYMENT_TARGET-${cur_target}}
 
@@ -5353,7 +5380,7 @@ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
 else
   ac_cv_header_stdc=no
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 fi
 
@@ -5374,7 +5401,7 @@ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
 else
   ac_cv_header_stdc=no
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 fi
 
@@ -6472,7 +6499,7 @@ _ACEOF
 
 
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 { echo "$as_me:$LINENO: result: $was_it_defined" >&5
 echo "${ECHO_T}$was_it_defined" >&6; }
@@ -7002,7 +7029,7 @@ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
 else
   ac_cv_type_uid_t=no
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 fi
 { echo "$as_me:$LINENO: result: $ac_cv_type_uid_t" >&5
@@ -12914,13 +12941,15 @@ case $ac_sys_system/$ac_sys_release in
 esac
 
 
+ARCH_RUN_32BIT=""
+
 case $ac_sys_system/$ac_sys_release in
   Darwin/[01567]\..*)
     LIBTOOL_CRUFT="-framework System -lcc_dynamic"
     if test "${enable_universalsdk}"; then
            :
     else
-       LIBTOOL_CRUFT="${LIBTOOL_CRUFT} -arch_only `arch`"
+        LIBTOOL_CRUFT="${LIBTOOL_CRUFT} -arch_only `arch`"
     fi
     LIBTOOL_CRUFT=$LIBTOOL_CRUFT' -install_name $(PYTHONFRAMEWORKINSTALLDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK)'
     LIBTOOL_CRUFT=$LIBTOOL_CRUFT' -compatibility_version $(VERSION) -current_version $(VERSION)';;
@@ -12932,7 +12961,94 @@ case $ac_sys_system/$ac_sys_release in
         else
             LIBTOOL_CRUFT=""
     fi
-    LIBTOOL_CRUFT=$LIBTOOL_CRUFT" -lSystem -lSystemStubs -arch_only `arch`"
+    if test "$cross_compiling" = yes; then
+  ac_osx_32bit=yes
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+    #include <unistd.h>
+    int main(int argc, char*argv[])
+    {
+      if (sizeof(long) == 4) {
+         return 0;
+      } else {
+         return 1;
+      }
+    }
+
+_ACEOF
+rm -f conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_osx_32bit=yes
+else
+  echo "$as_me: program exited with status $ac_status" >&5
+echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+( exit $ac_status )
+ac_osx_32bit=no
+fi
+rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+fi
+
+
+
+    if test "${ac_osx_32bit}" = "yes"; then
+       case `arch` in
+       i386)
+               MACOSX_DEFAULT_ARCH="i386"
+               ;;
+       ppc)
+               MACOSX_DEFAULT_ARCH="ppc"
+               ;;
+       *)
+               { { echo "$as_me:$LINENO: error: Unexpected output of 'arch' on OSX" >&5
+echo "$as_me: error: Unexpected output of 'arch' on OSX" >&2;}
+   { (exit 1); exit 1; }; }
+               ;;
+       esac
+    else
+       case `arch` in
+       i386)
+               MACOSX_DEFAULT_ARCH="x86_64"
+               ;;
+       ppc)
+               MACOSX_DEFAULT_ARCH="ppc64"
+               ;;
+       *)
+               { { echo "$as_me:$LINENO: error: Unexpected output of 'arch' on OSX" >&5
+echo "$as_me: error: Unexpected output of 'arch' on OSX" >&2;}
+   { (exit 1); exit 1; }; }
+               ;;
+       esac
+
+       #ARCH_RUN_32BIT="true"
+    fi
+
+    LIBTOOL_CRUFT=$LIBTOOL_CRUFT" -lSystem -lSystemStubs -arch_only ${MACOSX_DEFAULT_ARCH}"
     LIBTOOL_CRUFT=$LIBTOOL_CRUFT' -install_name $(PYTHONFRAMEWORKINSTALLDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK)'
     LIBTOOL_CRUFT=$LIBTOOL_CRUFT' -compatibility_version $(VERSION) -current_version $(VERSION)';;
 esac
@@ -14033,7 +14149,7 @@ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
 else
   unistd_defines_pthreads=no
 fi
-rm -f conftest*
+rm -f -r conftest*
 
     { echo "$as_me:$LINENO: result: $unistd_defines_pthreads" >&5
 echo "${ECHO_T}$unistd_defines_pthreads" >&6; }
@@ -15647,7 +15763,7 @@ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
   $EGREP "yes" >/dev/null 2>&1; then
   ipv6type=$i
 fi
-rm -f conftest*
+rm -f -r conftest*
 
                        ;;
                kame)
@@ -15670,7 +15786,7 @@ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
                                ipv6libdir=/usr/local/v6/lib
                                ipv6trylibc=yes
 fi
-rm -f conftest*
+rm -f -r conftest*
 
                        ;;
                linux-glibc)
@@ -15691,7 +15807,7 @@ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
   ipv6type=$i;
                                ipv6trylibc=yes
 fi
-rm -f conftest*
+rm -f -r conftest*
 
                        ;;
                linux-inet6)
@@ -15729,7 +15845,7 @@ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
                                ipv6lib=inet6;
                                ipv6libdir=/usr/local/v6/lib
 fi
-rm -f conftest*
+rm -f -r conftest*
 
                        ;;
                v6d)
@@ -15752,7 +15868,7 @@ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
                                ipv6libdir=/usr/local/v6/lib;
                                BASECFLAGS="-I/usr/local/v6/include $BASECFLAGS"
 fi
-rm -f conftest*
+rm -f -r conftest*
 
                        ;;
                zeta)
@@ -15774,7 +15890,7 @@ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
                                ipv6lib=inet6;
                                ipv6libdir=/usr/local/v6/lib
 fi
-rm -f conftest*
+rm -f -r conftest*
 
                        ;;
                esac
@@ -23367,7 +23483,7 @@ cat >>confdefs.h <<\_ACEOF
 _ACEOF
 
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 fi
 
@@ -23637,7 +23753,7 @@ cat >>confdefs.h <<\_ACEOF
 _ACEOF
 
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 fi
 
index ecfe4e7b95d430c2c70eb07ca149f2178bb427e9..9ad9f758e586f13e915557f37f55ee29a00e5400 100644 (file)
@@ -97,7 +97,7 @@ AC_SUBST(ARCH_RUN_32BIT)
 UNIVERSAL_ARCHS="32-bit"
 AC_MSG_CHECKING(for --with-universal-archs)
 AC_ARG_WITH(universal-archs,
-    AC_HELP_STRING(--with-universal-archs=ARCH, select architectures for universal build ("32-bit", "64-bit" or "all")),
+    AC_HELP_STRING(--with-universal-archs=ARCH, select architectures for universal build ("32-bit", "64-bit", "3-way", "intel" or "all")),
 [
        AC_MSG_RESULT($withval)
        UNIVERSAL_ARCHS="$withval"
@@ -926,6 +926,14 @@ yes)
                   UNIVERSAL_ARCH_FLAGS="-arch i386 -arch ppc -arch ppc64 -arch x86_64"
                   ARCH_RUN_32BIT="arch -i386 -ppc"
 
+                elif test "$UNIVERSAL_ARCHS" = "intel" ; then
+                  UNIVERSAL_ARCH_FLAGS="-arch i386 -arch x86_64"
+                  ARCH_RUN_32BIT="arch -i386"
+
+                elif test "$UNIVERSAL_ARCHS" = "3-way" ; then
+                  UNIVERSAL_ARCH_FLAGS="-arch i386 -arch ppc -arch x86_64"
+                  ARCH_RUN_32BIT="arch -i386 -ppc"
+
                 else
                   AC_MSG_ERROR([proper usage is --with-universalarch=32-bit|64-bit|all])
 
@@ -951,6 +959,15 @@ yes)
                                    # that's the first OS release where 
                                    # 4-way builds make sense.
                                    cur_target='10.5'
+
+                           elif test "${UNIVERSAL_ARCHS}" = "3-way"; then
+                                   cur_target='10.5'
+
+                           elif test "${UNIVERSAL_ARCHS}" = "intel"; then
+                                   cur_target='10.5'
+
+                           elif test "${UNIVERSAL_ARCHS}" = "64-bit"; then
+                                   cur_target='10.5'
                            fi
                    else
                            if test `arch` = "i386"; then
@@ -1550,7 +1567,7 @@ case $ac_sys_system/$ac_sys_release in
         else 
             LIBTOOL_CRUFT=""
     fi
-    AC_TRY_RUN([[
+    AC_TRY_RUN([
     #include <unistd.h>
     int main(int argc, char*argv[])
     {
@@ -1559,9 +1576,10 @@ case $ac_sys_system/$ac_sys_release in
       } else {
          return 1;
       }
-    ]], ac_osx_32bit=yes,
+    }
+    ], ac_osx_32bit=yes,
        ac_osx_32bit=no,
-       ac_osx_32bit=no)
+       ac_osx_32bit=yes)
     
     if test "${ac_osx_32bit}" = "yes"; then
        case `arch` in